Bug 854654

Summary: cloud-final systemd service missing console output
Product: [Fedora] Fedora Reporter: Sergio Rubio <rubiojr>
Component: cloud-initAssignee: Garrett Holmstrom <gholms>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gholms, Jan.van.Eldik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-25 02:20:42 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sergio Rubio 2012-09-05 09:47:57 EDT
Description of problem:

cloud-final.service needs StandardOutput=syslog+console so that final-message gets printed to the console while booting. The following patch did the trick for me:

--- /lib/systemd/system/cloud-final.service	2012-09-05 09:43:45.842000043 -0400
+++ /lib/systemd/system/cloud-final.service.new	2012-09-05 09:43:39.617001726 -0400
@@ -8,6 +8,7 @@
 Type=oneshot
 ExecStart=/usr/bin/cloud-init-cfg all final
 RemainAfterExit=yes
+StandardOutput=syslog+console
 
 [Install]
 WantedBy=multi-user.target

After applying the patch the following cloud-init boot message gets printed to the console after booting:

cloud-init-cfg[792]: cloud-init boot finished at Wed, 05 Sep 2012 13:37:54 +0000. Up 5.85 seconds

Version-Release number of selected component (if applicable):

Name        : cloud-init
Version     : 0.6.3
Release     : 0.1.bzr532.fc16
Architecture: noarch
Install Date: Wed 05 Sep 2012 08:58:41 AM EDT
Group       : System Environment/Base
Size        : 475057
License     : GPLv3
Signature   : RSA/SHA256, Wed 07 Mar 2012 04:15:31 PM EST, Key ID 067f00b6a82ba4b7
Source RPM  : cloud-init-0.6.3-0.1.bzr532.fc16.src.rpm
Build Date  : Mon 05 Mar 2012 05:30:45 PM EST
Build Host  : x86-14.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://launchpad.net/cloud-init
Summary     : Cloud instance init scripts
Description :
Cloud-init is a set of init scripts for cloud instances.  Cloud instances
need special scripts to run during initialization to retrieve and install
ssh keys and to let the user run various scripts.
Comment 1 Garrett Holmstrom 2012-09-13 22:29:02 EDT
At first glance "syslog+console" doesn't seem like the right setting for this, given that cloud-init already logs to /var/log/cloud-init.log, so I'm leaning toward making it just "tty" instead.  But then again perhaps it would make more sense to use "syslog+console", tweak cloud-init's own logging configuration so it logs only to syslog, and then ensure that the included rsyslog config file works properly.

Would the latter break the way you're using cloud-init?
Comment 2 Sergio Rubio 2012-09-14 05:13:18 EDT
Hey Garret, thanks for the input.

It won't break anything for me (I can easily patch it in any case).

The thing is that being able to see cloud-init messages while booting is a good thing IMO. You can easily fetch console output from AWS and OpenStack (nova console-log, ec2-get-console-output) and debug instance boot, monitor boot time, etc.

I'd say it's a minor issue but a handy feature to have. The bug is about the cloud-final systemd service, but every cloud-init module that wants to print something while booting should be able to do that I guess.

What do you think?

Thanks!
Comment 3 Fedora Update System 2012-09-14 08:21:21 EDT
cloud-init-0.6.3-0.5.bzr532.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc16
Comment 4 Fedora Update System 2012-09-14 08:24:29 EDT
cloud-init-0.6.3-0.5.bzr532.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc17
Comment 5 Fedora Update System 2012-09-14 08:25:48 EDT
cloud-init-0.6.3-0.5.bzr532.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc18
Comment 6 Garrett Holmstrom 2012-09-14 08:51:44 EDT
I think that's exactly what it's supposed to do.  ;-)

Feel free to give it a try now or when it hits testing.
Comment 7 Fedora Update System 2012-09-16 13:12:33 EDT
Package cloud-init-0.6.3-0.5.bzr532.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.6.3-0.5.bzr532.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13972/cloud-init-0.6.3-0.5.bzr532.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-25 02:20:42 EDT
cloud-init-0.6.3-0.5.bzr532.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-26 04:48:40 EDT
cloud-init-0.6.3-0.5.bzr532.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-26 05:03:53 EDT
cloud-init-0.6.3-0.5.bzr532.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.